.bbd-plp-stock-status {
  display: flex;
  align-items: center;
  gap: var(--gap-sm);
  padding-inline: var(--padding-2xs);
  font-weight: 500;

  @container product-card (width <= 300px) {
    font-size: var(--font-size--sm);
  }
}

.bbd-plp-stock-status__indicator {
  width: 10px;
  height: 10px;
  border-radius: var(--style-border-radius-50);
  flex-shrink: 0;
}

.bbd-plp-stock-status--in-stock,
.bbd-plp-stock-status--soon-available {
  .bbd-plp-stock-status__indicator {
    background-color: var(--color-instock);
  }

  .bbd-plp-stock-status__label {
    color: var(--color-instock);
  }
}

.bbd-plp-stock-status--out-of-stock {
  .bbd-plp-stock-status__indicator {
    background-color: var(--color-error);
  }

  .bbd-plp-stock-status__label {
    color: var(--color-error);
  }
}
